OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.IndexFunc

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTIndexFunc :: MonadIO m => m Bool
- gl_EXT_index_func :: Bool
- gl_INDEX_TEST_EXT :: GLenum
- gl_INDEX_TEST_FUNC_EXT :: GLenum
- gl_INDEX_TEST_REF_EXT :: GLenum
- glIndexFuncEXT :: MonadIO m => GLenum -> GLclampf -> m ()

# Extension Support

glGetEXTIndexFunc :: MonadIO m => m Bool

Is the EXT_index_func extension supported?

gl_EXT_index_func :: Bool

Is the EXT_index_func extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTIndexFunc` in those cases instead.

# Enums

gl_INDEX_TEST_EXT :: GLenum

gl_INDEX_TEST_FUNC_EXT :: GLenum

gl_INDEX_TEST_REF_EXT :: GLenum

# Functions

glIndexFuncEXT

Arguments

:: MonadIO m |
=> GLenum | `func` of type `IndexFunctionEXT`.
-> GLclampf | `ref` of type `ClampedFloat32`.
-> m () |